local inner_force = {}

local subtract_pressed=false
local dict = "rcmcollect_paperleadinout@"
local anim = "meditiate_idle"
function inner_force.unload()
end
function inner_force.init()
	STREAMING.REQUEST_ANIM_DICT(dict)
end
function inner_force.tick()
	if(get_key_pressed(Keys.Subtract))then
		subtract_pressed = true
	elseif subtract_pressed then
		subtract_pressed=false
		local player = PLAYER.PLAYER_PED_ID()
		local pos = ENTITY.GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(player, 0.0, 0.0, -1)
		
		
		local Table,Count = PED.GET_PED_NEARBY_VEHICLES(player, 1)
		for k,v in ipairs(Table) do
			ENTITY.APPLY_FORCE_TO_ENTITY(v, 1, 0,0,4, 0,0,0, 1, false, true, true, true, true)
				-- param 10 : ignore entity up vector
			AI.TASK_PLAY_ANIM( player, dict, anim, 1, 1, -1, 16, 0, false, 0, false)
			end
		
	end
	
end

return inner_force